Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.emfstore.internal.ui.decorator
Class EMFStoreDirtyDecoratorCachedTree.CachedDirtyStateTreeNode

    java.lang.Object
      org.eclipse.emf.ecp.common.spi.cachetree.CachedTreeNode<Integer>
          org.eclipse.emf.ecp.emfstore.internal.ui.decorator.EMFStoreDirtyDecoratorCachedTree.CachedDirtyStateTreeNode

Enclosing class:
  EMFStoreDirtyDecoratorCachedTree

    public class EMFStoreDirtyDecoratorCachedTree.CachedDirtyStateTreeNode

extends CachedTreeNode<Integer>

Cached tree node that stores the dirty state of a model element managed by EMFStore.

Constructor Summary
`EMFStoreDirtyDecoratorCachedTree.CachedDirtyStateTreeNode(Integer value)` Constructor.

Method Summary
`Integer` | `getDisplayValue()` Returns the value that this node should represent.
`void` | `update()` Recomputes the cached value of this node.

Methods inherited from class org.eclipse.emf.ecp.common.spi.cachetree.CachedTreeNode
`getChildValue, getOwnValue, getParent, putIntoCache, removeFromCache, setOwnValue, setParent, values`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EMFStoreDirtyDecoratorCachedTree.CachedDirtyStateTreeNode

    public EMFStoreDirtyDecoratorCachedTree.CachedDirtyStateTreeNode(Integer value)

  Constructor.

  Parameters:
    `value` - the initial value for this entry

Method Detail

### update

    public void update()

  Recomputes the cached value of this node.

### getDisplayValue

    public Integer getDisplayValue()

  Description copied from class: `CachedTreeNode`
  Returns the value that this node should represent. This value is also passed to parents in case of changes to the tree.

  Specified by:
    `getDisplayValue` in class `CachedTreeNode<Integer>`
  Returns:
    the display value

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.